SourceForge.net Logo
Main Overview Wiki Issues Forum Build Fisheye
Issue Details (XML | Word | Printable)

Key: CMP-919
Type: Bug Bug
Status: Closed Closed
Resolution: Fixed
Priority: Major Major
Assignee: Shay Banon
Reporter: Kenny MacLeod
Votes: 0
Watchers: 0
Operations

If you were logged in you would be able to see more operations.
Compass

JacksonContentConverter doesn't work with current Jackson releases

Created: 06/Jan/10 10:21 AM   Updated: 11/Jan/10 05:58 AM
Component/s: Compass::Core
Affects Version/s: 2.2.0 GA
Fix Version/s: 2.3.0 beta1


 Description  « Hide
The JacksonContentConverter uses parts of the Jackson API that haven't existed since the Jackson 1.0 release. For example, BaseMapper was replaced with Objectmapper, and BaseMapper weas removed as of Jackson 1.0. I'm guessing JacksonContentConverter was written against the Jackson 0.9.7 API.

The current Jackson release is 1.4.0



 All   Comments   Change History      Sort Order: Ascending order - Click to sort in descending order
Shay Banon added a comment - 08/Jan/10 07:09 AM
Fixed.

Kenny MacLeod added a comment - 11/Jan/10 05:58 AM
Thanks for that. The .classpath file in trunk still refers to the 0.9.6 JAR, can you fix that also?